<?php
/**
 * 程序安装向导文件
 */
header('Content-type:text/html;charset=utf-8');
// 检测是否安装过
if (file_exists('./install.lock')) {
    echo '你已经安装过该系统，重新安装需要先删除./Public/install/install.lock 文件';
    die;
}
// 同意协议页面
if(@!isset($_GET['c']) || @$_GET['c']=='step1'){
    require './step1.html';
}
// 检测环境页面
if(@$_GET['c']=='step2'){
    require './step2.html';
}
// 创建数据库页面
if(@$_GET['c']=='step3'){
    require './step3.html';
}
// 安装成功页面
if(@$_GET['c']=='step4'){
   
 // 判断是否为post
    if($_SERVER['REQUEST_METHOD']=='POST'){
        $data=$_POST;
        // 连接数据库
        $link=@new mysqli("{$data['DB_HOST']}:{$data['DB_PORT']}",$data['DB_USER'],$data['DB_PWD']);
        // 获取错误信息
        $error=$link->connect_error;
        if (!is_null($error)) {
            // 转义防止和alert中的引号冲突
            $error=addslashes($error);
            echo "数据库链接错误，原因：".$error;
			exit;
        }
        // 设置字符集
        $link->query("SET NAMES 'utf8'");
        $link->server_info>5.0 or die("请将您的mysql升级到5.0以上");
        // 创建数据库并选中
        if(!$link->select_db($data['DB_NAME'])){
            $create_sql='CREATE DATABASE IF NOT EXISTS '.$data['DB_NAME'].' DEFAULT CHARACTER SET utf8;';
            $link->query($create_sql) or die('创建数据库失败');
            $link->select_db($data['DB_NAME']);
        }
        // 导入sql数据并创建表
        $create_db=file_get_contents('./install.sql');
        $sql_array=preg_split("/;[\r\n]+/", str_replace('ew80_',$data['DB_PREFIX'],$create_db));
        foreach ($sql_array as $k => $v) {
            if (!empty($v)) {
                $link->query($v);
            }
        }
        $link->close();
        $db_str=<<<php
<?php
return array(

//*************************************数据库设置*************************************
    'DB_TYPE'               =>  'mysqli',                 // 数据库类型
    'DB_HOST'               =>  '{$data['DB_HOST']}',     // 服务器地址
    'DB_NAME'               =>  '{$data['DB_NAME']}',     // 数据库名
    'DB_USER'               =>  '{$data['DB_USER']}',     // 用户名
    'DB_PWD'                =>  '{$data['DB_PWD']}',      // 密码
    'DB_PORT'               =>  {$data['DB_PORT']},     // 端口
    'DB_PREFIX'             =>  '{$data['DB_PREFIX']}',   // 数据库表前缀
	'DB_CHARSET'	=> 'UTF8',				// 数据库字符集
);
php;
// 创建数据库链接配置文件
file_put_contents('../../Web/Common/Conf/db.php', $db_str);
echo "yes";
}else{
@touch('./install.lock');	
require './step4.html';	

}

}

